eCos Reference Manual
Prev | Chapter 5. Installation and Testing | Next

# SuperH/SH3(SH7729) Hitachi HS7729PCI

## Overview

RedBoot uses the COM1 and COM2 serial ports (and the debug port on the motherboard). The default serial port settings are 38400,8,N,1. Ethernet is also supported using a D-Link DFE-530TX PCI plugin card. Management of onboard flash is also supported.

The following RedBoot configurations are supported:

Configuration | Mode | Description | File
--- | --- | --- | ---
ROM | [ROM] | RedBoot running from the board's flash boot sector. | redboot_ROM.ecm
RAM | [RAM] | RedBoot running from RAM with RedBoot in the flash boot sector. | redboot_RAM.ecm

## Initial Installation Method

A ROM mode RedBoot image must be programmed into the two EPROMs. Two files with a split version of the ROM mode image is provided: it is also possible to recreate these from the `redboot.bin` file, but requires the split_word.c program in `hal/sh/hs7729pci/`VERSION`/misc` to be built and executed with the `redboot.bin` filename as sole argument.

After doing this it is advised that another ROM mode image of RedBoot is programmed into the on-board flash, and that copy be used for booting the board. This allows for software programmed updates of RedBoot instead of having to reprogram the EPROMs.

1. Program the EPROMs with RedBoot. The .lo image should go in socket M1 and the .hi image in socket M2.

2. Set switch SW1-6 to ON [boot from EPROM]

3. Follow the instructions under Flash management for updating the flash copy of RedBoot, but force the flash destination address with

       -f 0x80400000

   due to setting of the SW1-6 switch.

4. Set switch SW1-6 to OFF [boot from flash] and reboot the board. You should now see the RedBoot banner. At this time you may want to issue the command fis init to initialize the flash table with the correct addresses.

## Special RedBoot Commands

The exec command which allows the loading and execution of Linux kernels is supported for this board (see the Section called Executing Programs from RedBoot in Chapter 2). The exec parameters used for the HS7729PCI are:

-b `<addr>`

  Parameter block address. This is normally the first page of the kernel image and defaults to 0x8c101000

-i `<addr>`

  Start address of initrd image

-j `<size>`

  Size of initrd image

-c `"args"`

  Kernel arguments string

-m `<flags>`

  Mount rdonly flags. If set to a non-zero value the root partition will be mounted read-only.

-f `<flags>`

  RAM disk flags. Should normally be 0x4000

-r `<device number>`

  Root device specification. /dev/ram is 0x0101

-l `<type>`

  Loader type

Finally the kernel entry address can be specified as an optional argument. The default is 0x8c102000

On the HS7729PCI, Linux expects to be loaded at address 0x8c101000 with the entry point at 0x8c102000. This is configurable in the kernel using the CONFIG_MEMORY_START option.

## Memory Maps

RedBoot sets up the following memory map on the HS7729PCI board.

    Physical Address Range  Description
    ----------------------- -----------
    0x80000000 - 0x803fffff Flash (MBM29LV160)
    0x80400000 - 0x807fffff EPROM (M27C800)
    0x82000000 - 0x82ffffff SRAM
    0x89000000 - 0x89ffffff SRAM
    0x8c000000 - 0x8fffffff SDRAM
    0xa8000000 - 0xa800ffff SuperIO (FDC37C935A)
    0xa8400000 - 0xa87fffff USB function (ML60851C)
    0xa8800000 - 0xa8bfffff USB host (SL11HT)
    0xa8c00000 - 0xa8c3ffff Switches
    0xa8c40000 - 0xa8c7ffff LEDs
    0xa8c80000 - 0xa8cfffff Interrupt controller
    0xb0000000 - 0xb3ffffff PCI (SD0001)
    0xb8000000 - 0xbbffffff PCMCIA (MaruBun)

## Rebuilding RedBoot

These shell variables provide the platform-specific information needed for building RedBoot according to the procedure described in Chapter 3:

    export TARGET=hs7729pci
    export ARCH_DIR=sh
    export PLATFORM_DIR=hs7729pci

The names of configuration files are listed above with the description of the associated modes.

Prev | Home | Next
SuperH/SH3(SH7709) Hitachi Solution Engine 7709 | Up | SuperH/SH3(SH77X9) Hitachi Solution Engine 77X9